GGIGETINPUT(3)

NAME
ggiGetInput, ggiDetachInput - Functions to translate from GGI visuals to GII input

SYNOPSIS
#include <ggi/ggi.h>

gii_input_t ggiGetInput (ggi_visual_t vis);

gii_input_t ggiDetachInput (ggi_visual_t vis);

DESCRIPTION

 ggiGetInput returns the underlying input-handle associated with a LibGGI visual, for use with the LibGII API.

 ggiDetachInput also returns the underlying input-handle, but in adddition, it breaks the association between the given visual and that input handle. After this has been done, no LibGGI event routines may be called on that visual handle, and when the visual handle is closed, the input will remain unaffected.

SEE ALSO
giiOpen(3)